{**
 * 2007-2017 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2017 PrestaShop SA
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
 
<script>
    $(function(){
        $('[name="sender_type"]').change(function(){
            var val = $(this).val();
            switch (val) {
                case '1':
                    $('#list_sender_div').removeClass('hide');
                    $('#new_sender_div').addClass('hide');
                    break;
                case '2':
                    $('#new_sender_div').removeClass('hide');
                    $('#list_sender_div').addClass('hide');
                    break;
            }
        })
        $('[name="event_type"]').change(function(){
            $('#vars_select option').hide();
            $('.' + $(this).val()).show()
        })
    })
</script>
 
<div class="form-group">
    

    
    <label class="control-label col-lg-3">
            <span class="label-tooltip" data-toggle="tooltip"
            title="{l s='Sender desctiption' mod='epochta2w'}">
                {l s='Sender' mod='epochta2w'}
            </span>
    </label>
    <div class="col-lg-8">
        
        <p class="checkbox">
            <label>
                <input type="radio" id="sender_type" name="sender_type" value="1" checked="checked" />
                {l s='reg list' mod='epochta2w'} 
            </label>
        </p>
        <p class="checkbox">
            <label>
                <input type="radio" id="sender_type" name="sender_type" value="2" {if $carriers.selected|@count}checked="checked"{/if} />
                {l s='new sender' mod='epochta2w'}
            </label>
        </p>
        <br/>
        <!-- <textarea id="sms_body" name="sms_body" rows="4" class="textarea-autosize">{$currentTab->getFieldValue($rule, 'sms_body')|escape}</textarea> -->
        <select name="sender" id="list_sender_div">
            {foreach from=$sender_list item='sender'}
                <option {if $rule['sender']==$sender.id} selected="selected" {/if} value="{$sender.id}">&nbsp;{$sender.name}</option>
            {/foreach}
        </select>
        
        <input id="new_sender_div" type="text" name="new_sender" id="new_sender" value="" class="hide">
    </div>
</div>
 
<div class="form-group">
    <label class="control-label col-lg-3">
            <span class="label-tooltip" data-toggle="tooltip"
            title="{l s='Text of sms message' mod='epochta2w'}">
                {l s='sms message' mod='epochta2w'}
            </span>
    </label>
    <div class="col-lg-8">
        <!-- <textarea id="sms_body" name="sms_body" rows="4" class="textarea-autosize">{$currentTab->getFieldValue($rule, 'sms_body')|escape}</textarea> -->
        <textarea id="sms_body" name="sms_body" rows="4" class="">{$currentTab->getFieldValue($rule, 'sms_body')}</textarea>
    </div>
</div>
 
<div class="form-group">
	<label class="control-label  col-lg-3">{l s='Text translite' mod='epochta2w'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="translit" id="translit_on" value="1" {if $currentTab->getFieldValue($rule, 'translit')|intval}checked="checked"{/if} />
			<label class="t" for="translit_on">
				{l s='Yes' d='Admin.Global'}
			</label>
			<input type="radio" name="translit" id="translit_off" value="0"  {if !$currentTab->getFieldValue($rule, 'translit')|intval}checked="checked"{/if} />
			<label class="t" for="translit_off">
				{l s='No' d='Admin.Global'}
			</label>
			<a class="slide-button btn"></a>
		</span>
	</div>
</div>

<div class="form-group">
    <label class="control-label col-lg-3">
        {l s='Select vars' mod='epochta2w'}
    </label>
    <div class="col-lg-9">
        <table class="table">
            <tr>
                <td>
                    <select id="vars_select">
                        {foreach from=$event_vars key='event_name' item='vars'}
                            {foreach from=$vars key='var_name' item='value_example'}
                                <option class="{$event_name}" value="{$var_name|strval}">&nbsp;{$var_name}; example:{$value_example|strval}</option>
                            {/foreach}
                        {/foreach}
                    </select>
                    <a onclick="fieldAdd($('#vars_select').val()); return false;" id="var_add" class="btn  btn-default btn-block clearfix">{l s='Add' d='Admin.Actions'} <i class="icon-arrow-right"></i></a>
                </td>
            </tr>
        </table>
        <span class="help-block">{l s='add event vars' mod='epochta2w'}</span>
    </div>
</div>
                 
<div class="form-group"> <!-- Submit button !-->
    <button type="submit" class="btn btn-default pull-right" name="submitRule" id="{$table|escape}_form_submit_btn">{l s='Save' d='Admin.Actions'}</button>
</div>	
                    
<script>              
function fieldAdd(text) {
    insertAtCaret('sms_body', text);
}

function insertAtCaret(areaId,text) {
    text = '##' + text + '##';
    var txtarea = document.getElementById(areaId);
    var scrollPos = txtarea.scrollTop;
    var strPos = 0;
    var br = ((txtarea.selectionStart || txtarea.selectionStart == '0') ?
        "ff" : (document.selection ? "ie" : false ) );
    if (br == "ie") {
        txtarea.focus();
        var range = document.selection.createRange();
        range.moveStart ('character', -txtarea.value.length);
        strPos = range.text.length;
    }
    else if (br == "ff") strPos = txtarea.selectionStart;

    var front = (txtarea.value).substring(0,strPos);
    var back = (txtarea.value).substring(strPos,txtarea.value.length);
    txtarea.value=front+text+back;
    strPos = strPos + text.length;
    if (br == "ie") {
        txtarea.focus();
        var range = document.selection.createRange();
        range.moveStart ('character', -txtarea.value.length);
        range.moveStart ('character', strPos);
        range.moveEnd ('character', 0);
        range.select();
    }
    else if (br == "ff") {
        txtarea.selectionStart = strPos;
        txtarea.selectionEnd = strPos;
        txtarea.focus();
    }
    txtarea.scrollTop = scrollPos;
}
</script>
