{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2015 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{extends file="helpers/form/form.tpl"}
{block name="field"}
    {if $input.name == 'sender'}
        
        <script>
            $(function(){
                $('[name="sender_type"]').change(function(){
                    var val = $(this).val();
                    switch (val) {
                        case '1':
                            $('#list_sender_div').removeClass('hide');
                            $('#new_sender_div').addClass('hide');
                            break;
                        case '2':
                            $('#new_sender_div').removeClass('hide');
                            $('#list_sender_div').addClass('hide');
                            break;
                    }
                })
            })
        </script>
        
        <div class="col-lg-9">
            <p class="checkbox">
                <label>
                    <input type="radio" id="sender_type" name="sender_type" value="1" checked="checked" />
                    {l s='reg list' mod='epochta2w'}
                </label>
            </p>
            <p class="checkbox">
                <label>
                    <input type="radio" id="sender_type" name="sender_type" value="2" {if $carriers.selected|@count}checked="checked"{/if} />
                    {l s='new sender' mod='epochta2w'}
                </label>
            </p>
            <br/>

            <div id="new_sender_div" class="hide">
                <div class="col-lg-4">
                    <input type="text" name="new_sender" id="new_sender" value="" class="" required="required">
                    <p class="help-block">desc</p>
                </div>
            </div>
            <div id="list_sender_div">
                {$smarty.block.parent}
            </div>
        </div>

    {else if $input.type == 'customer'}
        <!-- <script type="text/javascript" src="themes/default/js/bundle/plugins/jquery.typewatch.js"></script> -->
        <!-- <script type="text/javascript" src="themes/default/js/bundle/plugins/jquery.highlight.js"></script> -->
        <script type="text/javascript" src="/js/jquery/plugins/jquery.highlight.js"></script>
        <script>
	function resetBind()
	{
            $('.fancybox').fancybox({
                'type': 'iframe',
                'width': '90%',
                'height': '90%',
            });
            $('.fancybox_customer').fancybox({
                'type': 'iframe',
                'width': '90%',
                'height': '90%',
                'afterClose' : function () {
                    searchCustomers();
                }
            });
            /*$("#new_address").fancybox({
                    onClosed: useCart(id_cart)
            });*/
	}
            
	$(document).ready(function() {
            $('#customer').typeWatch({
                captureLength: 3,
                highlight: true,
                wait: 500,
                callback: function() { 
                    searchCustomers();
                }
            });
            $('#customer_part').on('click','button.setup-customer',function(e){
                e.preventDefault();
                setupCustomer($(this).data('customer'));
                $(this).find('setup-customer').remove();
                /*$(this).closest('.customerCard').addClass('selected-customer');
                $('.selected-customer .panel-heading').prepend('<i class="icon-ok text-success"></i>');
                $('.customerCard').not('.selected-customer').remove();
                $('#search-customer-form-group').hide();
                var query = 'ajax=1&token='+token+'&action=changePaymentMethod&id_customer='+$(this).data('customer');
                $.ajax({
                        type: 'POST',
                        url: admin_order_tab_link,
                        headers: { "cache-control": "no-cache" },
                        cache: false,
                        dataType: 'json',
                        data : query,
                        success : function(data) {
                                if (data.result)
                                        $('#payment_module_name').replaceWith(data.view)
                        }
                });*/
            });
            $('#send_sms_form_submit_btn_1').click(function(event){
                event.preventDefault();
                sendSms();
                return false;
            })
        });
        
        var searchHistory = {};
        var searchAddress = {};
       
        function selectContact(id_address)
        {
            var address = searchAddress[id_address]
            $('#customer_part').append('<input class="address-mobile-phones" type="hidden" name="phones[]" value="'+address.phone_mobile+'">');
        }
        
	function searchCustomers()
	{
            var customer_search = $('#customer').val(),
                send_type = $('[name="send_type"]:checked').val(),
                country_id = $('#country_id').val(),
                gender_id = $('#gender_id').val(),
                group_id = $('#group_id').val();
                $.ajax({
                    type:"POST",
                    url : "{$link->getAdminLink('AdminModules')}&tab_module=AdminModules&configure=epochta2w",
                    async: true,
                    dataType: "json",
                    data : {
                        ajax: "1",
                        tab: "AdminModules",
                        action: "searchCustomers",
                        customer_search: customer_search,
                        send_type: send_type,
                        country_id: country_id,
                        gender_id: gender_id,
                        group_id: group_id,
                    },
                    success : function(res) {
                        if (res.found) {
                            var html = '';
                            $.each(res.customers, function () {
                                searchHistory[this.id_customer] = this;  
                                html += '<div id="searchUser'+this.id_customer+'" class="customerCard col-lg-4">';
                                html += '<div class="panel">';
                                html += '<div class="panel-heading">' + this.firstname + ' ' + this.lastname;
                                html += '<span onclick="deleteSearchUser(' + this.id_customer + ')" class="pull-right">[X]</span><span class="pull-right">#' + this.id_customer + '</span></div>';
                                html += '<span>' + this.email + '</span><br/>';
                                html += '<span class="text-muted">' + ((this.birthday != '0000-00-00') ? this.birthday : '') + '</span><br/>';
                                html += '<div class="panel-footer">';
                                html += '<a href="{$link->getAdminLink('AdminCustomers')}&id_customer=' + this.id_customer + '&viewcustomer&liteDisplaying=1" class="btn btn-default fancybox"><i class="icon-search"></i> {l s='Details' d='Admin.Global'}</a>';
                                html += '<button type="button" data-customer="' + this.id_customer + '" class="setup-customer btn btn-default pull-right"><i class="icon-arrow-right"></i> {l s='Choose' d='Admin.Actions'}</button>';
                                html += '</div>';
                                html += '</div>';
                                html += '</div>';
                            });
                        }
                        else {
                            html = '<div class="alert alert-warning">{l s='No customers found' d='Admin.Orderscustomers.Notification'}</div>';
                        }
                        $('#customers').html(html);
                        var search_items = customer_search.split(' ');
                        $.each(search_items, function (index, value) {
                            $('#customers').highlight(value);
                        });
                        resetBind();
                  }
            });
	}
        
        function deleteSearchUser(customer_id) {
            $('#searchUser'+customer_id).remove();
        }

        function sendSms() {
            showAjaxOverlay()
            var phones = getPhoneList(),
                sender_id = $('[name="sender"]').val(),
                message = $('[name="sms_text"]').val(),
                send_date = $('[name="send_date"]').val(),
                immediately_send_sms = $('[name="immediately_send_sms"]:checked').val(),
                translit = $('[name="translit"]:checked').val();
            
            $.ajax({
                type:"POST",
                url : "{$link->getAdminLink('AdminModules')|addslashes}",
                async: true,
                dataType: "json",
                data : {
                    ajax: "1",
                    token: "{getAdminToken tab='AdminModules'}",
                    tab: "AdminModules",
                    action: "sendSms",
                    configure: "epochta2w",
                    sender_id: sender_id,
                    message: message,
                    send_date: send_date,
                    immediately_send_sms: immediately_send_sms,
                    translit: translit,
                    phones: phones,
                    sender_type: $('[name="sender_type"]:checked').val(),
                    new_sender: $('[name="new_sender"]').val(),
                },
                success : function(res)
                {
                    $('#ajax_running').hide()
                    if (typeof res.success !== 'undefined') {
                        $('#send_sms_form').before('\
                            <div class="bootstrap">\
                                    <div class="alert alert-success">\
                                            <button type="button" class="close" data-dismiss="alert">×</button>\
                                            '+res.success+'.\
                                    </div>\
                            </div>');
                        resetSendSmsForm();
                    } else {
                        $('#send_sms_form').before('\
                            <div class="bootstrap">\
                                    <div class="alert alert-danger">\
                                            <button type="button" class="close" data-dismiss="alert">×</button>\
                                            '+res.error.message+'.\
                                    </div>\
                            </div>');
                    }
                    var conf = {};
                    conf.offset = -300;
                    $.scrollTo('#send_sms_form', 800, conf);
                    resetBind();
                }
            });
            // resetForm();
            // display result company info
        }
        
        function resetSendSmsForm() {
            $('#send_sms_form')[0].reset();
            $('[name="immediately_send_sms"]:checked').trigger('change');
        }
        
        function unique(value, index, self) { 
            return self.indexOf(value) === index;
        }
        
        function getPhoneList() {
            var phone_list = [],
                str_phone_list = '';
            var send_type = $('[name="send_type"]:checked').val();
            switch (send_type) {
                case '5':
                    var str_phone_list = $('[name="sms_phones"]').val().trim();
                    if (str_phone_list.length) {
                        phone_list = str_phone_list.split('\n')
                    }
                    break;
                default:
                    for (var customer_id in searchHistory) {
                        for (var address_id in searchHistory[customer_id]['addresses']) {
                            if (searchHistory[customer_id]['addresses'][address_id]['phone_mobile']) {
                                phone_list.push(searchHistory[customer_id]['addresses'][address_id]['phone_mobile'].trim() +';'+ searchHistory[customer_id]['firstname'].trim() + ' ' + searchHistory[customer_id]['lastname'].trim());
                            }
                        }
                    }
                    break;
            }
            phone_list = phone_list.filter( unique );
            return phone_list;
        }

	function setupCustomer(idCustomer)
	{
            $('#summary_part').show();
            var id_customer = idCustomer;
            $.ajax({
                type:"POST",
                url : "{$link->getAdminLink('AdminModules')|addslashes}",
                async: false,
                dataType: "json",
                data : {
                    ajax: "1",
                    token: "{getAdminToken tab='AdminModules'}",
                    tab: "AdminModules",
                    action: "customerAddresses",
                    configure: "epochta2w",
                    id_customer: id_customer,
                },
                success : function(res)
                {
                    if(res.found)
                    {
                        var html_address = '';
                        $.each(res.addresses, function() {
                            if (typeof(searchHistory[this.id_customer]['addresses']) === 'undefined') {
                                searchHistory[this.id_customer]['addresses'] = {};
                            }
                            searchHistory[this.id_customer]['addresses'][this.id_address] = this;
                            html_address += '<tr id="customer_address_'+id_customer+'_'+this.id_address+'">';
                            html_address += '<td>'+this.id_address+'</td>';
                            html_address += '<td>'+this.address1+'</td>';
                            html_address += '<td>'+this.phone_mobile+'</td>';
                            html_address += '<td class="text-right">';
                            html_address += '<a onclick="deleteAddress('+id_customer+', '+this.id_address+')" title="{l s='Delete this phone' d='Admin.Orderscustomers.Feature'}" class="btn btn-default" href="#"><i class="icon-search"></i>&nbsp;{l s='Delete' d='Admin.Global' }</a>';
                            // html_address += '&nbsp;<a onclick="selectContact(' +this.id_address+ '); return false;" href="#" title="{l s='Use this address' d='Admin.Orderscustomers.Feature'}" class="use_cart btn btn-default" rel="'+this.id_address+'"><i class="icon-arrow-right"></i>&nbsp;{l s="Use" d='Admin.Orderscustomers.Feature'}</a>';
                            html_address += '</td>';
                            html_address += '</tr>';
                        });
                        $('#nonOrderedCarts table tbody').append(html_address);
                    }
                    /*if (res.id_cart)
                    {
                        id_cart = res.id_cart;
                        $('#id_cart').val(id_cart);
                    }*/
                    //displaySummary(res);
                    resetBind();
                }
            });
	}
        
        function deleteAddress(id_customer, id_address) {
            if (typeof(searchHistory[id_customer]) !== 'undefined') {
                if (typeof(searchHistory[id_customer]['addresses'][id_address]) !== 'undefined') {
                    delete searchHistory[id_customer]['addresses'][id_address];
                    $('#customer_address_'+id_customer+'_'+id_address).remove();
                }
            }
        }
        
        $(function(){
            $('[name="send_type"]').change(function(){
                // reset
                $('.send_type_div').hide();
                $('#customers').show()
                $('#phones').show()
                var val = $(this).val();
                switch (val) {
                    case '1': // country
                        $('#country_div').show();
                        break;
                    case '2': // gender
                        $('#gender_div').show();
                        break;
                    case '3': // group
                        $('#group_div').show();
                        break;
                    case '4': // name
                        $('#name_div').show();
                        break;
                    case '5': // custome_phones
                        $('#custome_phones_div').show();
                        $('#customers').hide()
                        $('#phones').hide()
                        break;
                }
            })
            $('.send_type_value').change(function(){
                searchCustomers();
            })
            $('[name="send_type"]').trigger('change');
        });
        </script>
        
	<div class="col-lg-12" id="customer_part">
            <!-- <div class="panel-heading">
                    <i class="icon-user"></i>
                    {l s='Customer' d='Admin.Global'}
            </div> -->
            <div id="search-customer-form-group" class="form-group">
                <label class="control-label col-lg-3">
                    <span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="{l s='Search for an existing customer by typing the first letters of his/her name.' d='Admin.Orderscustomers.Help'}">
                        {l s='Search for a customer' d='Admin.Orderscustomers.Feature'}
                    </span>
                </label>
                <div class="col-lg-9">
                    <p class="checkbox">
                        <label>
                            <input type="radio" id="by_country" name="send_type" value="1" {if $countries.selected|@count}checked="checked"{/if} />
                            {l s='by country' mod='epochta2w'}
                        </label>
                    </p>
                    <p class="checkbox">
                        <label>
                            <input type="radio" id="by_gender" name="send_type" value="2" {if $carriers.selected|@count}checked="checked"{/if} />
                            {l s='by gender' mod='epochta2w'}
                        </label>
                    </p>
                    <p class="checkbox">
                        <label>
                            <input type="radio" id="by_group" name="send_type" value="3" {if $groups.selected|@count}checked="checked"{/if} />
                            {l s='by group' mod='epochta2w'}
                        </label>
                    </p>

                    <p class="checkbox">
                        <label>
                            <input type="radio" id="by_name" name="send_type" value="4" {if $product_rule_groups|@count}checked="checked"{/if} />
                            {l s='by name' mod='epochta2w'}
                        </label>
                    </p>
                    <p class="checkbox">
                        <label>
                            <input type="radio" id="by_custome_phones" name="send_type" value="5" checked="checked" />
                            {l s='direct enter phones' mod='epochta2w'}
                        </label>
                    </p>
                    <br/>
                    <!-- search by name -->
                    <div id="custome_phones_div" class="row send_type_div">
                        <div class="col-lg-4">
                            <div class="input-group">
                                <textarea placeholder="380933630000; Var1; Var2
380933630001; Var1; Var2" id="" name="sms_phones" rows="4" class="">{$currentTab->getFieldValue('phones')}</textarea>
                                <span class="help-block">{l s='Enter phones, each phone with a new line' mod='epochta2w'}</span>
                            </div>
                        </div>
                        <div class="col-lg-3">
                        </div>
                    </div>
                    
                    <!-- search by name -->
                    <div id="name_div" class="row send_type_div">
                        <div class="col-lg-4">
                            <div class="input-group">
                                <input type="text" id="customer" value=""/>
                                <span class="input-group-addon">
                                    <i class="icon-search"></i>
                                </span>
                            </div>
                        </div>
                        <div class="col-lg-3">
                        </div>
                    </div>
                    
                    <!-- search by gender -->
                    <div id="gender_div" class="row send_type_div">
                        <div class="col-lg-4">
                            <select name="gender" id="gender_id" class="send_type_value">
                                <option value="">-</option>
                                {foreach from=$genders item='gender'}
                                    <option value="{$gender.id}">&nbsp;{$gender.name}</option>
                                {/foreach}
                            </select>
                        </div>
                        <div class="col-lg-3">
                        </div>
                    </div>
                    
                    <!-- search by group -->
                    <div id="group_div" class="row send_type_div">
                        <div class="col-lg-4">
                            <select name="group" id="group_id" class="send_type_value">
                                <option value="">-</option>
                                {foreach from=$groups item='group'}
                                    <option value="{$group.id_group}">&nbsp;{$group.name}</option>
                                {/foreach}
                            </select>
                        </div>
                        <div class="col-lg-3">
                        </div>
                    </div>
                                
                    <!-- search by country -->
                    <div id="country_div" class="row send_type_div">
                        <div class="col-lg-4">
                            <select name="country" id="country_id" class="send_type_value">
                                <option value="">-</option>
                                {foreach from=$countries item='country'}
                                    <option value="{$country.id_country}">&nbsp;{$country.name}</option>
                                {/foreach}
                            </select>
                        </div>
                        <div class="col-lg-3">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div id="customers"></div>
            </div>
            <div id="phones">
                <button type="button" id="show_old_carts" class="btn btn-default pull-right" data-toggle="collapse" data-target="#old_carts_orders">
                    <i class="icon-caret-down"></i>
                </button>
                <br/>
                <a href="#nonOrderedCarts" data-toggle="tab"> <i class="icon-shopping-cart"></i> {l s='Customers addresses' d='Admin.Global'}</a>
                <div id="old_carts_orders" class="panel collapse">
                    <div id="nonOrderedCarts" class="tab-pane active">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th><span class="title_box">{l s='ID' d='Admin.Global'}</span></th>
                                    <th><span class="title_box">{l s='Address' d='Admin.Global'}</span></th>
                                    <th><span class="title_box">{l s='Mobile Phone' d='Admin.Global'}</span></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
	</div>
    {else}
        {$smarty.block.parent}
    {/if}
{/block}
{block name="after"}
    <script>
        $(function(){
            $('[name="immediately_send_sms"]').change(function(){
                switch ($(this).val()) {
                    case '0':
                        $('#send_date').closest('.form-group').removeClass('hide')
                        break;
                    case '1':
                        $('#send_date').closest('.form-group').addClass('hide')
                        break;
                }
            })
            
        })
    </script>
    <script type="text/javascript" src="/modules/epochta2w/views/templates/admin/_configure/helpers/form/form.js"></script>
{/block}
